Bug 73414 - [WebKit2][gtk] Add 'enable-dns-prefetching' property to WebKitSettings
: [WebKit2][gtk] Add 'enable-dns-prefetching' property to WebKitSettings
Status: RESOLVED FIXED
: WebKit
WebKit2
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2011-11-30 01:46 PST by
Modified: 2011-12-02 09:44 PST (History)


Attachments
Patch (10.91 KB, patch)
2011-11-30 02:47 PST, Nayan Kumar K
no flags Review Patch | Details | Formatted Diff | Diff
Patch (10.92 KB, patch)
2011-11-30 03:05 PST, Nayan Kumar K
no flags Review Patch | Details | Formatted Diff | Diff
Patch (10.93 KB, patch)
2011-11-30 03:08 PST, Nayan Kumar K
no flags Review Patch | Details | Formatted Diff | Diff
Patch (7.86 KB, patch)
2011-11-30 11:41 PST, Nayan Kumar K
no flags Review Patch | Details | Formatted Diff | Diff
Add enable-dns-prefetch (7.85 KB, patch)
2011-12-01 09:20 PST, Nayan Kumar K
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-11-30 01:46:39 PST
Add 'enable-dns-prefetching' and 'enable-author-and-user-styles' properties to WebKitSettings.
------- Comment #1 From 2011-11-30 02:47:10 PST -------
Created an attachment (id=117155) [details]
Patch
------- Comment #2 From 2011-11-30 02:48:37 PST -------
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
------- Comment #3 From 2011-11-30 02:55:08 PST -------
(From update of attachment 117155 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=117155&action=review

Thanks!

> Source/WebKit2/ChangeLog:11
> +        (webkit_settings_class_init): Register new signals.

I guess you mean properties, not signals :-)

> Source/WebKit2/ChangeLog:19
> +        (testWebKitSettings): Add new tests.

btw, we added support to skip tests in the bots, I think we should remove the #ifdef here and skip this test in the bots only

> Source/WebKit2/UIProcess/API/gtk/WebKitSettings.h:269
> +webkit_settings_get_enable_dns_prefetching                     (WebKitSettings* settings);

* is in the wrong place, here we follow the gnome style, not the webkit one.

> Source/WebKit2/UIProcess/API/gtk/WebKitSettings.h:273
> +webkit_settings_set_enable_dns_prefetching                     (WebKitSettings* settings,
> +                                                                gboolean enabled);

parameter names are lined up too
------- Comment #4 From 2011-11-30 03:05:34 PST -------
Created an attachment (id=117159) [details]
Patch
------- Comment #5 From 2011-11-30 03:08:48 PST -------
Created an attachment (id=117161) [details]
Patch
------- Comment #6 From 2011-11-30 03:09:44 PST -------
(In reply to comment #3)
> (From update of attachment 117155 [details] [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=117155&action=review
> 
> Thanks!
> 
> > Source/WebKit2/ChangeLog:11
> > +        (webkit_settings_class_init): Register new signals.
> 
> I guess you mean properties, not signals :-)
> 
> > Source/WebKit2/ChangeLog:19
> > +        (testWebKitSettings): Add new tests.
> 
> btw, we added support to skip tests in the bots, I think we should remove the #ifdef here and skip this test in the bots only
I will raise a separate bug to do that.
> 
> > Source/WebKit2/UIProcess/API/gtk/WebKitSettings.h:269
> > +webkit_settings_get_enable_dns_prefetching                     (WebKitSettings* settings);
> 
> * is in the wrong place, here we follow the gnome style, not the webkit one.
> 
> > Source/WebKit2/UIProcess/API/gtk/WebKitSettings.h:273
> > +webkit_settings_set_enable_dns_prefetching                     (WebKitSettings* settings,
> > +                                                                gboolean enabled);
> 
> parameter names are lined up too
------- Comment #7 From 2011-11-30 03:18:23 PST -------
(From update of attachment 117161 [details])
Looks good to me
------- Comment #8 From 2011-11-30 03:36:03 PST -------
(From update of attachment 117161 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=117161&action=review

Looks good, except some documentaiton could be expanded.

> Source/WebKit2/UIProcess/API/gtk/WebKitSettings.cpp:727
> +     * Determines whether or not author and user style sheets are enabled.

I think this could use a bit more explanation. What are author and user stylesheets?
------- Comment #9 From 2011-11-30 11:41:32 PST -------
Created an attachment (id=117239) [details]
Patch
------- Comment #10 From 2011-12-01 09:09:13 PST -------
(From update of attachment 117239 [details])
Attachment 117239 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/10693650
------- Comment #11 From 2011-12-01 09:20:08 PST -------
Created an attachment (id=117434) [details]
Add enable-dns-prefetch

Fixed a compilation issue
------- Comment #12 From 2011-12-02 09:44:45 PST -------
(From update of attachment 117434 [details])
Clearing flags on attachment: 117434

Committed r101815: <http://trac.webkit.org/changeset/101815>
------- Comment #13 From 2011-12-02 09:44:51 PST -------
All reviewed patches have been landed.  Closing bug.